<?php
    session_start();
    include('../conexion.php');
    include('../include/sesiones.php');
    $clie_id=$_SESSION['clie_id'];
    $fechaActual = date("d-m-Y");
    $horaActual = date("h:i:s");
    $documento= $_POST['documento'];
    $nombre= $_POST['nombre'];
    $departamento= $_POST['departamento'];
    $ciudad= $_POST['ciudad'];
    $direccion= $_POST['direccion'];
    $telefono= $_POST['telefono'];
    $correo= $_POST['correo'];
    
    $sql=mysqli_query($con,"UPDATE cliente Set
    clie_cc ='$documento',
    clie_correo='$correo',
    clie_nombre ='$nombre',  
    clie_direccion= '$direccion', 
    clie_celular='$telefono',
    clie_departamento='$departamento', 
    clie_ciudad= '$ciudad'
    Where clie_id='$clie_id' and empresa='$emp_id'")or  die(mysqli_error($con));


    $cano1=mysqli_query($con,"SELECT MAX(cot_id) as numero FROM cotizacion WHERE empresa='$emp_id' ") or die(mysqli_error($con));
    $cero1=mysqli_fetch_array($cano1);
    $cot_id=$cero1["numero"]+1;

    $cano2=mysqli_query($con,"SELECT MAX(cot_n_cotizacion) as numero1 FROM cotizacion WHERE empresa='$emp_id' ") or die(mysqli_error($con));
    $cero2=mysqli_fetch_array($cano2);
    $cot_n_cotizacion=$cero2["numero1"]+1; 

    

    $registros=mysqli_query($con,"INSERT into cotizacion (cot_id,cot_n_cotizacion,cliente_id,cot_cc,cot_nombre,cot_telefono,cot_correo,cot_fecha,cot_hora,cot_validez,cot_estado,cot_estado_pedido,cot_tipo,sucursal,empresa) VALUES  ('$cot_id','$cot_n_cotizacion','$clie_id','$documento','$nombre','$telefono','$correo','$fechaActual','$horaActual','0','1','no confirmado','PEDIDO','$suc_id','$emp_id') ") or  die(mysqli_error($con));
    if(isset($_SESSION['carrito']))
    {
        $carrito_mio=$_SESSION['carrito']; 
        $total=0;
        for($i=0;$i<=count($carrito_mio)-1;$i++)
        {
            if(isset($carrito_mio[$i]))
            {
                if($carrito_mio[$i]!=NULL)
                {  
                    $art_art_id= $carrito_mio[$i]['art_art_id'];

                    $centrar5=mysqli_query($con,"SELECT * FROM articulos_has_bodegas where art_id='$art_art_id' and empresa='$emp_id' ") 
                    or die(mysqli_error($con));
                    while($cero59=mysqli_fetch_array($centrar5))
                    { 
                        $articulos_art_id= $cero59['articulos_art_id'];

                        $casa45=mysqli_query($con,"SELECT * FROM articulos WHERE art_id='$articulos_art_id' ") or die(mysqli_error($con));
                        while($load45=mysqli_fetch_array($casa45))
                        {
                            $art_id= $load45['art_id'];
                            $art_nombre_online= $load45['art_nombre_online'];
                            $art_iva=$load45['art_iva'];
                            $art_tipo=$load45['art_tipo'];
                            $art_referencia=$load45['art_referencia'];
                            $art_promo_desc=$load45['art_promo_desc'];

                            if ($art_promo_desc>0) {
                              $art_des=$art_promo_desc;
                            } else { $art_des=0; }

                            
                            $casa1=mysqli_query($con,"SELECT * FROM precio WHERE tarifas_tar_id='$tarifas_tar_id' and 
                            articulos_art_id='$art_id' ") or die(mysqli_error($con));
                            $load1=mysqli_fetch_array($casa1);
                            $pre_precio=($load1['pre_precio']);

                            $cantidad_agregada=$carrito_mio[$i]['cantidad'];

                             $cano3=mysqli_query($con,"SELECT MAX(cotd_id) as numero2 FROM cotizacion_detalle WHERE empresa='$emp_id' ") or die(mysqli_error($con));
                            $cero3=mysqli_fetch_array($cano3);
                            $cotd_id=$cero3["numero2"]+1;

                            $registros1=mysqli_query($con,"INSERT into cotizacion_detalle
                            (   cotd_id,
                                art_id_bod,
                                cotd_art_id,
                                cotd_referencia,
                                cotd_nombre,
                                cotd_tipo,
                                cotd_cantidad,
                                cotd_iva,
                                cotd_desc,
                                cotd_precio,
                                cambio,
                                empresa,
                                cotizacion_cot_id   ) 

                            VALUES  (
                                '$cotd_id',
                                '$art_art_id',
                                '$art_id',
                                '$art_referencia',
                                '$art_nombre_online',
                                '$art_tipo',
                                '$cantidad_agregada',
                                '$art_iva',
                                '$art_des',
                                '$pre_precio',
                                'ven',
                                '$emp_id',
                                '$cot_id'   ) ") 
                            or die(mysqli_error($con));

                          //  include('../php_tienda/vaciar_carrito.php');
                        }
                    }
                }
            } 
        } 
        $conf=mysqli_query($con,"SELECT * FROM configuraciones WHERE empresa='$emp_id' ") or die(mysqli_error($con));
        $config=mysqli_fetch_array($conf);

        echo  $mensaje_wp= $config['mensaje_wp'];

        echo '. ';
        
         echo ' Plataformas ( '; 

         $banco=mysqli_query($con,"SELECT * FROM banco WHERE empresa='$emp_id' ") or die(mysqli_error($con));
            while($ban=mysqli_fetch_array($banco))
                {
                   echo $ban_nombre= $ban['ban_nombre'];
                   echo ',';
                }

            echo ' ) '; 

            echo ' Contacto ';

            if ($suc_telefono != null) {
                echo $suc_telefono; echo' ';
            }
            if ($suc_celular != null) {
                echo $suc_celular;  // Agregar 'echo' aquí para imprimir el valor
            }

            
        unset($_SESSION['carrito']);
    }
?>